Bug 447787 - Graphical mode does not work
Graphical mode does not work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
9
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-21 15:32 EDT by ronignc
Modified: 2009-07-14 13:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:41:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Log file (36.98 KB, text/plain)
2008-06-18 15:05 EDT, ronignc
no flags Details

  None (edit)
Description ronignc 2008-05-21 15:32:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; pt-BR; rv:1.8.1.14) Gecko/20080404 Firefox/2.0.0.14

Description of problem:
Fedora 7 and 8 never recognized my CRT monitor, its resolution and its refresh rate. (live-cd booting)
My monitor: AOC Common CRT Monitor 14 inches
My graphical card: NVIDIA GeForce 2 MX/MX 400 - 64 MB RAM

Then I used to solve this problem by booting in text mode, then, run system-config-display and setted up the right configurations. After that, just started X and the graphical mode was on :)
Now, on Fedora 9, the same problem happens, but when I boot in text mode and try to configure using the sytem-config-display it does not work. What happens is: the monitor fades black and the little lights of my monitor flash continuosly. 


Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. Insert live-CD;
2. Boot;


Actual Results:
The monitor fades black and the configuration lights of my monitor start to flash.

Expected Results:
The graphical boot should start.

Additional info:
I think this bug: https://bugzilla.redhat.com/show_bug.cgi?id=392511
is related with mine.
Comment 1 Matěj Cepl 2008-06-02 18:20:20 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 ronignc 2008-06-05 18:55:43 EDT
(In reply to comment #1)
> Thanks for the bug report.  We have reviewed the information you have provided
> above, and there is some additional information we require that will be helpful
> in our diagnosis of this issue.
> 
> Please attach your X server config file (/etc/X11/xorg.conf) and X server log
> file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
> attachments using the bugzilla file attachment link below.
> 
> Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
> let X11 autodetect your display and video card? Attach to this bug
> /var/log/Xorg.0.log from this attempt as well, please.
> 
> We will review this issue again once you've had a chance to attach this
information.
> 
> Thanks in advance.

Sorry, my fault. I am not a developer, so I do not think as a developer :'(
Well, what I can tell you, now, is that F9 does not work on graphical mode, it
does only in text mode (init 3). When I try to find the archive xorg.conf at
/et/X11/xorg.conf, I discovered that it does not exist. That's why I can't
attach this file for you analise.

The other thing you asked me was: to run without any xorg.conf whatsoever and
let X11 autodetect my display and video card. I think I did not figure out what
you meant. How do I do this? Did you mean me to use the command "xorg"?
Waiting your answer to go on this issue. Thanks for your attention.
Comment 3 ronignc 2008-06-05 19:03:58 EDT
(In reply to comment #2)

I made some writing mistakes in my answer.

line 4 (of the answer): I meant /etc/X11/xorg.conf
line 5 (of the answer): ... attach this file for you to analyse.
Comment 4 Matěj Cepl 2008-06-06 08:48:26 EDT
(In reply to comment #2)
> The other thing you asked me was: to run without any xorg.conf whatsoever and
> let X11 autodetect my display and video card. I think I did not figure out what
> you meant. How do I do this? Did you mean me to use the command "xorg"?
> Waiting your answer to go on this issue. Thanks for your attention.

make sure you have no /etc/X11/xorg.conf whatsoever (if you have one, rename it,
move it away, anything). Then in runlevel 3 run (as normal user) command

startx

when you end X (either because it crashes, or because you voluntarily press
Ctrl+Alt+Backspace) collect /var/log/Xorg.0.log and attach it here, please.
Comment 5 ronignc 2008-06-18 15:05:00 EDT
Created attachment 309780 [details]
Log file
Comment 6 ronignc 2008-06-18 15:10:31 EDT
Sorry for making you wait, but I was a little busy last weeks. I have already
attached the Xorg.0.log you asked me and I rechecked and there's no Xorg.conf in
/etc/X11.
That's all. Thanks.
Comment 7 ronignc 2008-07-21 15:10:40 EDT
(In reply to comment #4)

Actually, I've discovered a way to make F9 runs graphically pretty good on my
computer. This way:

1.Boot F8 in text mode;
2.Use system-config-display to set correctly my monitor's refresh rate and
resolution;
3.Do a "startx";
4.Save the /etc/X11/xorg.conf on my c:\
5.Restart pc;
6.Boot F9 in text mode;
7.Copy c:\xorg.conf to /etc/X11/;
8.Do "startx";
9.Voilà!

Now, using and testing F9. But the bug still remains ;-)

Comment 8 Bug Zapper 2009-06-09 21:04:14 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-07-14 13:41:41 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.